---
- name: Insert zookeeper default data if missing
  debug:
    msg: "Insert zookeeper default data if missing"
    verbosity: 4
  run_once: yes

- name: Include zookeeper-default-data
  include_tasks: zookeeper-default-data.yml
  vars:
    zk_paths:
    - path: "/config/application"
    - path: "/config/application/openraven"
    - path: "/config/application/openraven/upgrades"
    - path: "/config/application/openraven/upgrades/etag"
    - path: "/config/application/openraven/upgrades/payload"
    - path: "/config/application/openraven/app"
    - path: "/config/application/openraven/app/v1"
    - path: "/config/application/openraven/app/v1/cloud-ingestion"
    - path: "/config/application/openraven/app/v1/cloud-ingestion/aws"
    regions_csv: "ap-northeast-1,ap-northeast-2,ap-south-1,ap-southeast-1,ap-southeast-2,ca-central-1,eu-central-1,eu-north-1,eu-west-1,eu-west-2,eu-west-3,sa-east-1,us-east-1,us-east-2,us-west-1,us-west-2"  

  run_once: yes
  delegate_to: localhost